/*
 * ** header v3.0
 * This file is a part of the CaosDB Project.
 *
 * Copyright (C) 2018 Research Group Biomedical Physics,
 *   Max-Planck-Institute for Dynamics and Self-Organization Göttingen
 * Copyright (C) 2020 IndiScale GmbH <info@indiscale.com>
 * Copyright (C) 2020 Timm Fitschen <t.fitschen@indiscale.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 * ** end header
 */
package org.caosdb.server.resource.transaction.handlers;

import org.caosdb.server.entity.container.DeleteContainer;
import org.caosdb.server.resource.transaction.EntityResource;

public class SimpleDeleteRequestHandler extends RequestHandler<DeleteContainer> {

  @Override
  public void handle(final EntityResource t, final DeleteContainer container) throws Exception {
    // TODO a lot of code duplication, see SimpleGetRequestHandle#handle.
    // However, this is about to be changed again when string ids are
    // introduced, anyways. So we just leave it.
    for (final String item : t.getRequestedItems()) {
      String[] elem = item.split("@", 1);
      Integer id = null;
      String version = null;
      try {
        id = Integer.parseInt(elem[0]);
      } catch (NumberFormatException e) {
        // pass
      }
      if (elem.length > 1) {
        version = elem[1];
      }

      if (id != null) {
        container.add(id, version);
      }
    }
  }
}
